#!/bin/sh

VERSION=1.0.0

if [ "$1" = "sl700" ]; then
    ln -v -f -s config/config-sl700.h config.h
    lv -Ou8cp desktop/m-mahjongg-sl700.desktop  > desktop/m-mahjongg.desktop
    PACKAGE_FILE=m-mahjongg_${VERSION}-sl700_arm.ipk
    cat > config.mk <<END
CONFIG_VGA=y    
END

elif [ "$1" = "sl300" ]; then
    ln -v -f -s config/config-sl300.h config.h
    lv -Ou8cp desktop/m-mahjongg-sl300.desktop  > desktop/m-mahjongg.desktop
    PACKAGE_FILE=m-mahjongg_${VERSION}-sl300_arm.ipk
    cat > config.mk <<END
CONFIG_QVGA=y    
END

else
    echo "usage: $0 sl700 | sl300 cross | native"
    exit 1
fi

if [ "$2" = "cross" ]; then
    export CROSSCOMPILE=/opt/Embedix/tools
    export QPEDIR=/opt/Qtopia/sharp
    export QTDIR=/opt/Qtopia/sharp
    export PATH=$QTDIR/bin:$QPEDIR/bin:$CROSSCOMPILE/bin:$PATH
    export TMAKEPATH=/opt/Qtopia/tmake/lib/qws/linux-sharp-g++/
    export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
    export ARCHITECTURE=arm
elif [ "$2" = "native" ]; then
    export CROSSCOMPILE=
    export QPEDIR=/opt/Qtopia
    export QTDIR=/opt/Qtopia
    export PATH=$QTDIR/bin:$QPEDIR/bin:$PATH:/opt/Embedix/tools/bin
    export TMAKEPATH=/opt/Qtopia/tmake/lib/qws/linux-x86-g++/
    export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
    export ARCHITECTURE=x86
else
    echo "usage: $0 sl700 | sl300 cross | native"
    exit 1
fi

make -C tools
make -C images
make -C layouts

tmake -o Makefile m-mahjongg.pro
make
#lrelease m-mahjongg.pro

TMPDIR=m-mahjongg-package

mkdir ${TMPDIR}
cd ${TMPDIR}
mkdir -p opt/QtPalmtop/apps/Games
mkdir -p opt/QtPalmtop/bin
mkdir -p opt/QtPalmtop/pics
mkdir -p opt/QtPalmtop/help/html
mkdir -p CONTROL

cp ../desktop/m-mahjongg.desktop opt/QtPalmtop/apps/Games/m-mahjongg.desktop
cp ../m-mahjongg opt/QtPalmtop/bin/m-mahjongg
cp ../desktop/m-mahjongg.png opt/QtPalmtop/pics/m-mahjongg.png
cp ../desktop/m-mahjongg.html opt/QtPalmtop/help/html/m-mahjongg.html
cp ../desktop/m-mahjongg.control CONTROL/control
cp ../desktop/m-mahjongg.prerm CONTROL/prerm

cd ..
ipkg-build ${TMPDIR}
mv m-mahjongg_1.0.0_arm.ipk ${PACKAGE_FILE}
echo created package ${PACKAGE_FILE}
rm -rf ${TMPDIR}

